Placement API

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Placement API and the translation is 83% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română
(October 2019) Do not edit this page. The information is incomplete and outdated. For the latest API, see the autogenerated API documentation, or generate the documentation yourself, see Source documentation.


În FreeCAD, Plasamentul definește poziția și rotația unui obiect. Conceptul de Plasament este explicat în detaliu aici: Placement.

Exemplu de setare a destinației de plasare a obiectului de document:

myObj = FreeCAD.ActiveDocument.ActiveObject
pl = FreeCAD.Placement()
pl.move(FreeCAD.Vector(2,0,0))
myObj.Placement = pl
Class.png Placement () sau (Placement) sau (Matrice) sau (Base, Rotation) sau (Base, Rotation, Centre) sau (Base, Axes, Angle )

Description: Construește un plasament, vid sau cu arguemntele date, sau o copie a amplasamentului dat.

Property.png Base

Returns: . Un vector reprezentâtnd poziție du Plasementului

Property.png Rotation

Returns: . Un quaternion ( număr complex format din patru unități sclare) reprezentând rotația Plasamentului

Method.png inverse ( )

Description: calculază plasamentul invers

Returns: . Un placement

Method.png move ( Vector )

Description: deplasează plasamentul de-a lungul unui vector dat

Returns: nimic

{{APIFunction | multVec | Vector | aplică plasamentul la vectorul dat| vectorul rezultant}.} {{APIFunction | multiplcați | Placement | multiplică acest plasamentul cu altul| plasamentul rezultatnt}.}
Method.png toMatrix ( )

Description:

Returns: . O matrice reprezentând transformarea plasamentului